require 'rails_helper'

RSpec.describe UsersController do
  describe 'get new' do
    subject { get 'new' }
    it 'renders the users/new template' do
      expect(subject).to render_template('users/new')
    end
  end
  describe 'get create' do
    before(:all) do # TODO change it to cleanup after each test
      User.destroy_all
    end
    subject {
      get :create, params: {user: {email: 'karol.selak@gmail.com', password: 'abcde'}}
    }
    it 'creates a user' do
      subject
      expect(User.where(email: 'karol.selak@gmail.com').size).to eql(1)
    end
    it 'redirects to /welcome' do
      subject
      expect(subject).to redirect_to('/welcome')
    end
  end
end